<?xml version="1.0" encoding="UTF-8"?>
<!--
    Licensed Materials - Property of IBM

    BI and PM: ps

    (C) Copyright IBM Corp. 2005, 2009

    US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
-->
<!--
   Copyright (C) 2008 Cognos ULC, an IBM Company. All rights reserved.
   Cognos (R) is a trademark of Cognos ULC, (formerly Cognos Incorporated).
-->
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
	xmlns:dp="http://developer.cognos.com/schemas/xts/logicsheets/xslt/presentation/dialog/presentation/" 
	xmlns:dt="http://developer.cognos.com/schemas/xts/logicsheets/xslt/presentation/dialog/templates/" 
	xmlns:cp="http://developer.cognos.com/schemas/xts/logicsheets/xslt/presentation/controls/presentation/" 	
	xmlns:out="dummy-uri"
	xmlns:xtsext="xalan://com.cognos.xts.ext.XTSExt" 
	xmlns:xts="http://developer.cognos.com/schemas/xts/" 
	xmlns:utml="http://developer.cognos.com/schemas/xts/logicsheet/xslt/formlogic/"	
	xmlns:cm="http://developer.cognos.com/schemas/xts-cm/1/" exclude-result-prefixes="xsl dp dt cp xtsext xts utml cm">
	
	<xsl:output method="xml" encoding="UTF-8" indent="no"/>
	<xsl:namespace-alias stylesheet-prefix="out" result-prefix="xsl"/>

	<!-- 
	dp:button
	dp:buttonGroup
	dp:buttonImage	
	dp:choice
	dp:closeMarker
	dp:columnButton
	dp:columnButtonGroup
	dp:description
	dp:division
	dp:field
	dp:footer
	dp:group
	dp:groupItem
	dp:header
	dp:hint
	dp:inactiveText	
	dp:input
	dp:label
	dp:list
	dp:message	
	dp:page
	dp:script
	dp:section	
	dp:section1
	dp:section2	
	dp:section3
	dp:text
	dp:textarea
	-->

	<!--
	
	CODE WILL NOT PASS BETWEEN THE FOLLOWING TAGS

	<dp:input> and <dp:section*>
	<dp:section> and <dp:*> - in lists
	<dp:textarea> and <dp:section*>

	-->

	<xsl:variable name="dp-namespace-uri"
	              select="'http://developer.cognos.com/schemas/xts/logicsheets/xslt/presentation/dialog/presentation/'"/>
	
	<!--
	dp:box - provides side by side compartments with spacing between them.
	-->
	<xsl:template match="dp:box">
		<table border="0" cellspacing="0" cellpadding="1">
  			<xsl:if test="@width">
  				<xsl:attribute name="width">
  					<xsl:value-of select="@width"/>
  				</xsl:attribute>
  			</xsl:if>
			<xsl:if test="@title">
				<tr>
					<td nowrap="nowrap" colspan="{2 * count(descendant::dp:section) - 1}" class="formLabel">
						<xts:string id="{@title}"/>
					</td>
				</tr>
			</xsl:if>
			<tr>
				<xsl:if test="@valign">
					<xsl:attribute name="valign"><xsl:value-of select="@valign"/></xsl:attribute>
				</xsl:if>
				<xsl:apply-templates/>
			</tr>
			<xsl:if test="not(@noSpace) or @noSpace = 'false'">
			<tr>
				<td nowrap="nowrap">
					<img height="5" width="1">
						<xsl:attribute name="src"><xsl:value-of select="'{$webcontent}'"/>/images/space.gif</xsl:attribute>
					</img>
				</td>
			</tr>
			</xsl:if>
		</table>
	</xsl:template>
	
	<!--
	dp:boxSection - containers in a box.
	-->
	<xsl:template match="dp:boxSection">
		<td>
			<xsl:if test="not(@wrap)">
				<xsl:attribute name="nowrap">nowrap</xsl:attribute>
			</xsl:if>
			<xsl:if test="@width">
  				<xsl:attribute name="width">
  					<xsl:value-of select="@width"/>
  				</xsl:attribute>
  			</xsl:if>
  			<xsl:if test="@height">
  				<xsl:attribute name="height">
  					<xsl:value-of select="@height"/>
  				</xsl:attribute>
  			</xsl:if>
  			<xsl:if test="@align">
  				<xsl:attribute name="align">
  					<xsl:value-of select="@align"/>
  				</xsl:attribute>
  			</xsl:if>  			
			<xsl:if test="@valign">
				<xsl:attribute name="valign">
					<xsl:value-of select="@valign"/>
				</xsl:attribute>
			</xsl:if>		
			<xsl:attribute name="class">
				<xsl:choose>
					<xsl:when test="@type='label'">formLabel</xsl:when>
					<xsl:otherwise>formText</xsl:otherwise>
				</xsl:choose>
			</xsl:attribute>
			<xsl:apply-templates select="child::node()"/>
		</td>
		<xsl:if test="@hgap">
			<td nowrap="nowrap">
				<img height="5" width="{@hgap}">
					<xsl:attribute name="src"><xsl:value-of select="'{$webcontent}'"/>/images/space.gif</xsl:attribute>
				</img>
			</td>
		</xsl:if>
	</xsl:template>
  	
  	<xsl:template match="dp:defaultKey">
  		<xsl:if test=".='active'">
			<script language="javascript">
				var whatfocus='';
				function setfocus(type)
				{
					whatfocus=type;
				}
				<out:choose>
					<out:when test="$browser='ie' or $browser = 'safari'">
					document.onkeypress = keyhandler;
					function keyhandler() {
						var Key;
						Key = window.event.keyCode;
						if (Key==13)
						{
							if(whatfocus!='textarea')
							{
								<!-- the following condition check does NOT work if changed to == true -->
								<!-- must be some IE thing -->
								if (window.event.returnValue != false)
								{
									enterdfaultact();
									window.event.returnValue = false;
									return false;
								}
								<!--  The following IF condition is to stop IE from continuing to process the Enter event, 
									even though we've trapped it and set everything (that needs to be set) to false! -->
								if (window.event.returnValue == false)
								{
									window.event.cancelBubble = true;
									return false;
								}
								window.event.returnValue = false;
								return false;
							}
						}
					}
					</out:when>
					<out:when test="$browser = 'moz'">
						<!--
							Order is essential to get this to work on NS versions 4.76/6.x/7.x
							1. Enable event capturing for the window (Event.KEYPRESS).
							2. Define the function that is to handle the event (keyhandler).
							3. Register the function as the windows event handler (onkeypress).
						-->
						window.captureEvents(Event.KEYPRESS);
						function keyhandler(e) {
							var Key;
							Key = e.which;
							if (Key==13)
							{
								if (whatfocus!='textarea')
									return enterdfaultact();
							}
						}
						window.onkeypress = keyhandler;
					</out:when>
				</out:choose>
			</script>
		</xsl:if>
  	</xsl:template>
  	
  	<xsl:template match="dp:defaultAct">
  		<out:variable name="da">
  			<xsl:copy-of select="."/>
  		</out:variable>
  		<script language="JavaScript">
  			function enterdfaultact()
  			{
  				<out:value-of select="$da"/>
  				return false;
  			}
  		</script>
  	</xsl:template>
  	
  	<xsl:template match="dp:defaultBack">
  		<out:variable name="hf">
  			<xsl:copy-of select="."/>
  		</out:variable>
  		<script language="JavaScript">
  			function enterdfaultact()
  			{
  				location.href='<out:value-of select="xtsext:javascriptencode(string($hf))"/>';
  				return false;
  			}
  		</script>
  	</xsl:template>
  	
  		<!-- ===== Creates a column of buttons (mostly for adding or deleting entries from a list) ===== -->
  	<xsl:template match="dp:columnButtonGroup">
  		<table border="0" cellpadding="1" cellspacing="5">
  			<xsl:for-each select="dp:columnButton">
					<tr>
						<xsl:choose>
							<xsl:when test="../@skipColumnButtons = 'true'"><xsl:apply-templates select="./*/*"/></xsl:when>
							<xsl:otherwise><xsl:apply-templates select="."/></xsl:otherwise>
						</xsl:choose>
					</tr>
  			</xsl:for-each>
			</table>
  	</xsl:template>
  	
  		<!-- ===== Creates a button in the column ===== -->
	<xsl:template match="dp:columnButton">
		<!-- ===== uses the toolbar images stuff -->
		<xsl:choose>
			<!-- no need to give the table mouseover properties if the user has supplied dp:button -->	
			<xsl:when test="dp:button">
				<td>
					<xsl:apply-templates/>
				</td>
			</xsl:when>
			<xsl:otherwise>
				<td class="toolbarImageNormal" onmouseover="this.className = 'toolbarImageOver'" onmouseout="this.className = 'toolbarImageNormal'">
					<xsl:apply-templates/>
				</td>
			</xsl:otherwise>
		</xsl:choose>	
	</xsl:template>

  	
	<!-- 
 	dp:button - buttons, usually in the dp:footer
 	-->
 	<xsl:template match="dp:button">
 		<td>			
			<table cellpadding="0" cellspacing="0">			
				<!-- Add event handlers for "active buttons" -->	
				<xsl:choose>
					<xsl:when test="@id">
						<xsl:attribute name="id"><xsl:value-of select="@id"/>_button</xsl:attribute>
						<xsl:attribute name="onmouseover"><xsl:value-of select="@id"/>_mouseaction(this, 'over')</xsl:attribute>
						<xsl:attribute name="onmouseout"><xsl:value-of select="@id"/>_mouseaction(this, 'out')</xsl:attribute>
						<xsl:attribute name="onmousedown"><xsl:value-of select="@id"/>_mouseaction(this, 'down')</xsl:attribute>
						<script language="JavaScript">							
							var <xsl:value-of select="@id"/>_enabled = true;
							function <xsl:value-of select="@id"/>_enable()
							{
								<xsl:value-of select="@id"/>_enabled = true;
								document.getElementById('<xsl:value-of select="@id"/>').className = "commandButtonActive";
							}
							
							function <xsl:value-of select="@id"/>_disable()
							{
								<xsl:value-of select="@id"/>_enabled = false;
								document.getElementById('<xsl:value-of select="@id"/>').className = "commandButtonInactive";
							}
							
							function <xsl:value-of select="@id"/>_isEnabled()
							{
								return <xsl:value-of select="@id"/>_enabled;
							}
							
							function <xsl:value-of select="@id"/>_mouseaction(obj, action)
							{
								var isEnabled = <xsl:value-of select="@id"/>_enabled;								
								if (isEnabled)
								{
									switch (action)
									{
										case "over":	obj.className = 'commandButtonOver';	break;											
										case "out":		obj.className = 'commandButton';			break;										
										case "down":	obj.className = 'commandButtonDown';	break;											
										default:										
									}
								}
							}						
						</script>
					</xsl:when>					
					<xsl:when test="not(@id) and not(@state='inactive')">
						<xsl:attribute name="onmouseover">this.className = 'commandButtonOver'</xsl:attribute>
						<xsl:attribute name="onmouseout">this.className = 'commandButton'</xsl:attribute>
						<xsl:attribute name="onmousedown">this.className = 'commandButtonDown'</xsl:attribute>
					</xsl:when>					
				</xsl:choose>
				
				<!-- Style the button according to state -->			
				<xsl:choose>
					<xsl:when test="@state = 'inactive'">
						<xsl:attribute name="class">commandButtonInactive</xsl:attribute>	
							<out:choose>
								<out:when test="$browser = 'ie'">
									<out:attribute name="style">padding-right:10px; padding-left:10px; padding-top:2px; padding-bottom:3px;</out:attribute>
								</out:when>							
								<out:otherwise>
									<out:attribute name="style">padding-right:5px; padding-left:5px; padding-top:2px; padding-bottom:3px;</out:attribute>
								</out:otherwise>
							</out:choose>					
					</xsl:when>		
					<xsl:otherwise>
						<xsl:attribute name="class">commandButton</xsl:attribute>
						<out:if test="$browser != 'ie'">
							<out:attribute name="style">padding-right:10px; padding-left:10px; padding-top:2px; padding-bottom:3px;</out:attribute>
						</out:if>	
					</xsl:otherwise>
				</xsl:choose>
				<tr>
					<td valign="middle" align="center" nowrap="nowrap">
						<!-- 
								The OK button is a bit unique on none ie browsers.  
								We like to add extra padding on anchors that wrap 'OK' to beef up the hot spot area.  
						-->		
						<out:variable name="OKButton">							
							<xsl:copy-of select=".//dp:buttonText/child::node()"/>
						</out:variable>
						<xsl:if test="not(@id)">
							<out:attribute name="id">
								<out:choose>
									<out:when test="$browser = 'ie'">btnAnchorIE</out:when>		
									<out:when test="$OKButton = 'OK'">btnAnchorWide</out:when>															
									<out:otherwise>btnAnchor</out:otherwise>
								</out:choose>						
							</out:attribute>
						</xsl:if>						
						<!-- minimum button width as specified by STAN -->
						<out:choose>
							<out:when test="$browser = 'ie'">
								<xsl:choose>
									<xsl:when test="@state = 'inactive'"> <!-- The width fixing image size depends on whether or not the button is active, as the 10px padding applies to different elements in each case -->
										<img height="1" border="0" width="50" src="{'{$webcontent}'}/images/space.gif"/>
									</xsl:when>
									<xsl:otherwise>
										<img height="1" border="0" width="70" src="{'{$webcontent}'}/images/space.gif"/>
									</xsl:otherwise>
								</xsl:choose>
							</out:when>						
							<out:otherwise>
								<img height="1" width="55" src="{'{$webcontent}'}/images/space.gif"/>
							</out:otherwise>
						</out:choose>
						<br/>
						<!-- Insert the button content text/images -->
						<xsl:apply-templates/>							
					</td>
				</tr>
			</table>
		</td>
 		<td>
			<img height="1" width="10" src="{'{$webcontent}'}/images/space.gif"/>
		</td>		
	</xsl:template>
		
	<!-- 
	dp:buttonGroup - button groups that aren't in the footer
	-->
	<xsl:template match="dp:buttonGroup">	
		<table border="0" cellpadding="0" cellspacing="0">
			<tr>
				<!-- show the buttons -->
				<xsl:apply-templates/>
			</tr>
		</table>	
	</xsl:template>	
	
	<!-- 
  	dp:buttonText
 	-->
  <xsl:template match="dp:buttonText">
		<xsl:apply-templates/>			
  </xsl:template>			
	
	<!-- 
 	dp:buttonImage
 	-->
 	<xsl:template match="dp:buttonImage">
		<xsl:param name="state" select="'active'"/>
		<xsl:choose>
			<!-- if the image if to the left of the text, then put right padding -->
			<xsl:when test="@dp:imagePosition = 'left'">
				<img style="position:relative; top:1px; right:2px;" align="top" border="0" src="{.}">
					<xsl:if test="@name">
						<xsl:attribute name="name"><xsl:value-of select="@name"/></xsl:attribute>
					</xsl:if>
					<xsl:if test="@dp:tooltip and @dp:tooltip!=''">
						<out:attribute name="alt"><xts:string id="{@dp:tooltip}"/></out:attribute>
					</xsl:if>			
				</img>			
			</xsl:when>
			<xsl:otherwise>
				<img style="position:relative; top:1px; left:2px;" align="top" border="0" src="{.}">
					<xsl:if test="@name">
						<xsl:attribute name="name"><xsl:value-of select="@name"/></xsl:attribute>
					</xsl:if>
					<xsl:if test="@dp:tooltip and @dp:tooltip!=''">
						<out:attribute name="alt"><xts:string id="{@dp:tooltip}"/></out:attribute>
					</xsl:if>			
				</img>
			</xsl:otherwise>
		</xsl:choose>
 	</xsl:template>
	
	<!-- 
	dp:choice -2 sections first for the radio button - second for the label
	-->
	<xsl:template match="dp:choice">
		<table border="0" cellspacing="0" cellpadding="1">
			<xsl:if test="@width">
				<xsl:attribute name="width"><xsl:value-of select="@width"/></xsl:attribute>
			</xsl:if>
			<xsl:if test="@title">
				<tr>
					<td nowrap="nowrap" class="formLabel">
						<xts:string id="{@title}"/>
					</td>
				</tr>		
			</xsl:if>
			<xsl:if test="@longTitle">
				<tr>
					<td nowrap="nowrap" class="formLabel">
						<out:value-of select="{@longTitle}"/>
					</td>
				</tr>		
			</xsl:if>
			<tr>
			<td>
			<table border="0" cellspacing="0" cellpadding="1">
				<xsl:apply-templates select="*[not(local-name() = 'lastSection')]" mode="choice"/>
			</table>	
			</td>
			</tr>
			<xsl:if test="dp:lastSection">
				<tr>
					<td>
						<xsl:apply-templates select="*[local-name()='lastSection']/*"/>
					</td>
				</tr>
			</xsl:if>
			<xsl:if test="not(@noSpace) or @noSpace = 'false'">
				<tr>
					<td nowrap="nowrap">
						<img height="5" width="1">
							<xsl:attribute name="src"><xsl:value-of select="'{$webcontent}'"/>/images/space.gif</xsl:attribute>
						</img>
					</td>
				</tr>
			</xsl:if>
		</table>

	</xsl:template>	
	
	<!-- 
	dp:closeMarker -this will add the x for the close image in the dialog header
	-->
	<xsl:template match="dp:closeMarker">
		<img id="IDS_CLOSE" height="16" width="16" vspace="2" border="0" class="dialogClose" onmouseover="this.className = 'dialogCloseOver'" onmouseout="this.className = 'dialogClose'" onmouseup="this.className = 'dialogClose'">
			<xsl:attribute name="src"><xsl:value-of select="'{$skin_images}'"/>close.gif</xsl:attribute>
			<out:attribute name="title"><xts:string id="IDS_CLOSE"/></out:attribute>
		</img>
	</xsl:template>		

	<!-- 
	dp:description - body of the dialog page
	-->	
	<xsl:template match="dp:description">
		<table border="0" cellpadding="0" cellspacing="0">
			<tr>
				<td height="20" width="10" valign="bottom">
					<img height="20" width="10">
						<xsl:attribute name="src"><xsl:value-of select="'{$webcontent}'"/>/images/space.gif</xsl:attribute>
					</img>
				</td>
				<td height="20" valign="middle" class="dialogHeaderText">
					<xsl:copy-of select="child::node()"/>
				</td>
			</tr>
		</table>			
	</xsl:template>

	<!-- 
	dp:division - adds a division anywhere in the page
	-->		
	<xsl:template match="dp:division">
		<table width="100%" border="0" cellpadding="0" cellspacing="0">
			<xsl:if test="(@style) and (@style = 'full')">		
				<tr>
					<td height="10" width="100%" colspan="3">
						<img height="10" width="1">
							<xsl:attribute name="src"><xsl:value-of select="'{$webcontent}'"/>/images/space.gif</xsl:attribute>
						</img>
					</td>
				</tr>		
			</xsl:if>	
			<tr>
				<xsl:if test="(@style) and (@style = 'full')">
					<td height="1" width="8">
						<img height="1" width="8">
							<xsl:attribute name="src"><xsl:value-of select="'{$webcontent}'"/>/images/space.gif</xsl:attribute>
						</img>
					</td>	
				</xsl:if>			
				<td valign="middle" nowrap="nowrap" class="formLabel">
					<xsl:if test="@title">
						<xts:string id="{@title}"/>
					</xsl:if>&#160;
				</td>
				<td width="100%" valign="middle">
					<table width="100%" height="1" border="0" cellpadding="0" cellspacing="0">			
						<tr>
							<td class="dialogDivider">
								<img height="1" width="1">
									<xsl:attribute name="src"><xsl:value-of select="'{$webcontent}'"/>/images/space.gif</xsl:attribute>
								</img>
							</td>
						</tr>
					</table>	
				</td>
			</tr>
			<xsl:if test="(@style) and (@style = 'full')">		
				<tr>
					<td height="5" width="1">
						<img height="5" width="1">
							<xsl:attribute name="src"><xsl:value-of select="'{$webcontent}'"/>/images/space.gif</xsl:attribute>
						</img>
					</td>	
				</tr>	
			</xsl:if>				
		</table>	
	</xsl:template>	

	<!-- 
	dp:field
	-->
	<xsl:template match="dp:field">
		<xsl:copy-of select="child::node()"/>&#160;&#160;				
	</xsl:template>		
				
	<!-- 
	dp:emptyFooter
	-->
	<xsl:template match="dp:emptyFooter">
	
        <out:variable name="useDIVS_ef">
            <xsl:choose>
                <xsl:when test="dp:useDIVS">
                    <xsl:copy-of select="dp:useDIVS/*"/>
                </xsl:when>
                <xsl:otherwise> 
                    <out:text>true</out:text>
                </xsl:otherwise>
            </xsl:choose>
        </out:variable>
        
        <out:variable name="divAttr_ef">
            <xsl:choose>
                <xsl:when test="string(@div)='div' ">
                    <out:text>true</out:text>
                </xsl:when>
                <xsl:otherwise> 
                    <out:text>false</out:text>
                </xsl:otherwise>
            </xsl:choose>
        </out:variable>	        
        
		<out:if test="$divAttr_ef='true' and $useDIVS_ef='true' ">
			<out:choose>
				<out:when test="$browser='moz'">
					<out:text disable-output-escaping="yes">&lt;/div&gt;</out:text>
				</out:when>
				<out:otherwise>
					<out:text disable-output-escaping="yes">&lt;/div&gt;</out:text>
					<out:text disable-output-escaping="yes">&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;</out:text>
				</out:otherwise>
			</out:choose>
		</out:if>
	</xsl:template>
	
	<xsl:template match="dp:simpleFooter">
		<table width="100%" border="0" cellpadding="0" cellspacing="0" class="">
			<out:attribute name="class">
				<xsl:choose>
					<xsl:when test="@class"><xsl:value-of select="@class"/></xsl:when>
					<xsl:otherwise>dialogButtonBar</xsl:otherwise>
				</xsl:choose>
			</out:attribute>
			<!-- show the buttons -->
			<tr>
				<out:choose>
					<out:when test="$browser='moz'">
						<td width="2" valign="middle">
							<img width="2">
								<xsl:attribute name="src"><xsl:value-of select="'{$webcontent}'"/>/images/space.gif</xsl:attribute>
							</img>
						</td>
					</out:when>
					<out:otherwise>
						<td width="5" valign="middle">
							<img width="5">
								<xsl:attribute name="src"><xsl:value-of select="'{$webcontent}'"/>/images/space.gif</xsl:attribute>
							</img>
						</td>
					</out:otherwise>
				</out:choose>
				<td valign="middle">
					<table border="0" cellpadding="1" cellspacing="0">
						<tr>
							<xsl:apply-templates/>
						</tr>
					</table>
				</td>
				<td width="100%">&#160;</td>
			</tr>
		</table>
	</xsl:template>	
	
	<!-- 
	dp:footer
	-->
	<xsl:template match="dp:footer">
	
        <out:variable name="useDIVS_f">
            <xsl:choose>
                <xsl:when test="dp:useDIVS">
                    <xsl:copy-of select="dp:useDIVS/*"/>
                </xsl:when>
                <xsl:otherwise> 
                    <out:text>true</out:text>
                </xsl:otherwise>
            </xsl:choose>
        </out:variable>
        
        <out:variable name="divAttr_f">
            <xsl:choose>
                <xsl:when test="string(@div)='div' ">
                    <out:text>true</out:text>
                </xsl:when>
                <xsl:otherwise> 
                    <out:text>false</out:text>
                </xsl:otherwise>
            </xsl:choose>
        </out:variable>	
	
		<out:choose>
			<out:when test="$divAttr_f='true' and $useDIVS_f='true' ">
				<out:choose>
					<out:when test="$browser='moz'">
						<out:text disable-output-escaping="yes">&lt;/div&gt;</out:text>
						<table width="100%" border="0" cellpadding="0" cellspacing="0" class="">
							<tr>
								<td width="1" valign="middle">
									<img width="1" height="10">
										<xsl:attribute name="src"><xsl:value-of select="'{$webcontent}'"/>/images/space.gif</xsl:attribute>
									</img>
								</td>
							</tr>
						</table>
					</out:when>
					<out:otherwise>
						<out:text disable-output-escaping="yes">&lt;/div&gt;</out:text>
						<out:text disable-output-escaping="yes">&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;</out:text>
					</out:otherwise>
				</out:choose>
			</out:when>
			<out:otherwise>
				<table width="100%" border="0" cellpadding="0" cellspacing="0" class="">
					<tr>
						<td width="1" valign="middle">
							<img width="1" height="10">
								<xsl:attribute name="src"><xsl:value-of select="'{$webcontent}'"/>/images/space.gif</xsl:attribute>
							</img>
						</td>
					</tr>
				</table>
			</out:otherwise>
		</out:choose>
		
		<table border="0" cellpadding="1" cellspacing="0" class="dialogButtonBar">
			<xsl:if test="string(@copyright) = 'true'">
				<xsl:attribute name="class">dialogButtonBarWithCopyright dialogButtonBar</xsl:attribute>
			</xsl:if>
			
			<!-- show the buttons -->
			<tr>				
				<td width="3" valign="middle">
					<img width="3">
						<xsl:attribute name="src"><xsl:value-of select="'{$webcontent}'"/>/images/space.gif</xsl:attribute>
					</img>
				</td>					
				<td valign="middle">
					<!-- command buttons -->
					<table border="0" cellpadding="0" cellspacing="0">
						<tr>
							<xsl:apply-templates select="*[not(self::dp:useDIVS)]"/> 
						</tr>
					</table>
				</td>
				<td width="100%">&#160;</td>
				<xsl:if test="string(@copyright) = 'true'">
					<td valign="middle" align="right" class="copyright" nowrap="nowrap">
						<xts:string id="IDS_COPYRIGHT"/><br/>
						<xts:string id="IDS_TRADEMARK"/>
					</td>
				</xsl:if>
			</tr>
		</table>
	</xsl:template>	
	
	<!-- 
	dp:group - simple one line layout, especially for images and text
	-->	
	<xsl:template match="dp:group">
		<table border="0" cellpadding="0" cellspacing="0">
			<xsl:if test="@title">
				<tr>
					<td nowrap="nowrap" class="formLabel">
						<xts:string id="{@title}"/>
					</td>		
				</tr>		
			</xsl:if>			
			<tr>
				<xsl:apply-templates/>
			</tr>
		</table>			
	</xsl:template>	

	<!-- 
	dp:groupItem - each item in the group
	-->	
	<xsl:template match="dp:groupItem">
		<td>
			<xsl:copy-of select="@*"/>
			<xsl:if test="@valign">
				<xsl:attribute name="valign"><xsl:value-of select="@valign"/></xsl:attribute>
			</xsl:if>
			<xsl:attribute name="class">
				<xsl:choose>
					<xsl:when test="@tdClass"><xsl:value-of select="@tdClass"/></xsl:when>
					<xsl:when test="self::dp:label">formLabel</xsl:when>
					<xsl:when test="self::dp:link">formLink</xsl:when>								
					<xsl:otherwise>formText</xsl:otherwise>
				</xsl:choose>	
			</xsl:attribute>				
			<xsl:apply-templates/>
		</td>			
	</xsl:template>	

	<!-- 
	dp:header - this is a header for the dialog pages
	-->
	<xsl:template match="dp:header">
		<!--These variables must be declared here since they are required by cookie_jar.js-->
		<script language="javascript">
			var sParamDelimiter = "<out:value-of select="xtsext:javascriptencode(string(key('system-param', 'delimiters')/@d1))"/>";
			var sNameValueDelimiter = "<out:value-of select="xtsext:javascriptencode(string(key('system-param', 'delimiters')/@d2))"/>";				
			var sCookiePath = "<out:value-of select="xtsext:javascriptencode(string($cookie_path))"/>";
		</script>
		<script language="javascript">
			<out:attribute name="src">
				<out:value-of select="$webcontent"/>/<out:value-of select="$app"/>/js/cookie_jar.js<out:text/>
			</out:attribute>	
		</script>

        <out:variable name="useDIVS_h">
            <xsl:choose>
                <xsl:when test="dp:useDIVS">
                    <xsl:copy-of select="dp:useDIVS/*"/>
                </xsl:when>
                <xsl:otherwise> 
                    <out:text>true</out:text>
                </xsl:otherwise>
            </xsl:choose>
        </out:variable>
        
        <out:variable name="divAttr_h">
            <xsl:choose>
                <xsl:when test="string(@div)='div' ">
                    <out:text>true</out:text>
                </xsl:when>
                <xsl:otherwise> 
                    <out:text>false</out:text>
                </xsl:otherwise>
            </xsl:choose>
        </out:variable>	        

		<xsl:variable name="headerDisplayOptions">
			<xsl:choose>
				<xsl:when test="@headerDisplayOptions"><xsl:value-of select="@headerDisplayOptions"/></xsl:when>
				<xsl:otherwise>key('env-param', 'md.displayOptions')</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		
		<out:variable name="showHeader" select="not({$headerDisplayOptions} and {$headerDisplayOptions} = 'h1')"/>
		
		<out:if test="$showHeader">		
			<script language="javascript">
				function debug(e)
				{
					e = (e) ? e : ((window.event) ? window.event :"");
					if (e.altKey)
					{
						if (getSessionValue("debug") != "1")
					 		setStateValue("debug", "1");
						else
							setStateValue("debug", "0");
						location.reload();
					}			
				}
			</script>
			
			<table border="0" width="100%" cellspacing="0" cellpadding="0" class="dialogHeader">
				<tr>
					<xsl:if test="dp:image">
						<td height="20" valign="middle" class="dialogHeaderTitle">
							<img alt="" height="10" width="3" border="0">
								<xsl:attribute name="src"><xsl:value-of select="'{$webcontent}'"/>/images/space.gif</xsl:attribute>
							</img>
							<xsl:copy-of select="dp:image/child::node()"/>
							<img alt="" height="10" width="5" border="0">
								<xsl:attribute name="src"><xsl:value-of select="'{$webcontent}'"/>/images/space.gif</xsl:attribute>
							</img>
						</td>
					</xsl:if>
					
					<td valign="top" class="dialogHeaderTitle" width="100%" nowrap="nowrap">
						<span onclick="debug(event)"><xsl:copy-of select="dp:title/child::node()"/></span>
					</td>
					
					<!--xsl:if test="dp:headerLinks">
						<xsl:apply-templates select="dp:headerLinks" mode="links"/>
					</xsl:if-->
					<xsl:choose>
						<xsl:when test="not(./@help) or ./@help = string(true())">
							<td valign="middle" nowrap="nowrap" class="dialogHeaderLink">
								<out:variable name="s" select="concat(' ', /root/system/param[@name='ui_hide']/CC_DIALOG_HEADER_help/@show, ' ')"/>	
								<out:if test="not(/root/system/param[@name='ui_hide']/CC_DIALOG_HEADER_help) or 
										(/root/system/param[@name='ui_hide']/CC_DIALOG_HEADER_help[
											(contains($s , 'Administrators') and $isAdminUser)  or  
											(contains($s , 'QSUsers') and $hasFullQSCapability)   or  
											(contains($s , 'RSUsers') and $hasFullRSCapability) or  
											(contains($s , 'Consumers') and $is-named='1') or
											(contains($s , 'Anonymous') and $is-named='0') or
											(key('system-param', 'ui_groups')/group[contains($s, concat(' ', @id, ' ')) and contains(  key('session-param', 'uig'), concat(' ', @id, ' '))])
										])">
									<a href="javascript:help()" class="dialogHeaderLinkColor">
										<xts:string id="IDS_HELP"/>
									</a>
								</out:if>
							</td>								
						</xsl:when>
						<xsl:otherwise>
							<xsl:for-each select="./dp:newlink">
								<td valign="middle" class="dialogHeaderLink" nowrap="nowrap">
									<xsl:choose>
										<xsl:when test="@wrap"/>
										<xsl:otherwise><xsl:attribute name="nowrap">nowrap</xsl:attribute></xsl:otherwise>
									</xsl:choose>
									<xsl:text>&#160;</xsl:text><xsl:copy-of select="./child::node()"/>
								</td>
							</xsl:for-each>
							<xsl:if test="dp:newLinks">
								<xsl:apply-templates select="dp:newLinks/child::node()" mode="links"/>
							</xsl:if>
						</xsl:otherwise>
					</xsl:choose>
								
					<!-- Do not add and custom links to the log off dialog -->
					<out:if test="not(contains(/root/env/param[@name = 'm'], 'logoff.xts'))">
						<out:for-each select="key('system-param', 'ui_add')/CC_DIALOG_HEADER/item">							
							<out:variable name="s" select="concat(' ', @show, ' ')"/>
							<out:if test="
										not(@show) or
		 								(contains($s , 'Administrators') and $isAdminUser)  or  
		 								(contains($s , 'QSUsers') and $userCanUseFullQS)   or  
		 								(contains($s , 'RSUsers') and $userCanUseFullRS) or  
		 								(contains($s , 'Consumers') and $is-named='1') or 
		 								(contains($s , 'Anonymous') and $is-named='0') or 
										(key('system-param', 'ui_groups')/group[contains($s, concat(' ', @id, ' ')) and contains(  key('session-param', 'uig'), concat(' ', @id, ' '))])
		 						">
								<td valign="middle" nowrap="nowrap" class="dialogHeaderLink">
									<a class="dialogHeaderLinkColor" href="{'{url}'}">
										<out:if test="onclick">
											<out:attribute name="onclick"><out:value-of select="onclick"/></out:attribute>
										</out:if>
										<out:if test="target">
											<out:attribute name="target"><out:value-of select="target"/></out:attribute>
										</out:if>
										<out:value-of select="label[lang($productLocale)]"/>
									</a>
								</td>
							</out:if>		
						</out:for-each>	
					</out:if>
					
					<td align="right" valign="middle" style="padding-right:3px;">
						<xsl:if test="not(@close)">
							<xsl:choose>
								<xsl:when test="dp:close">
									<xsl:apply-templates select="dp:close/child::node()"/>
								</xsl:when>
								<xsl:otherwise>
									<!-- when a property dialog is read-only, we ALWAYS want to use the backURL -->
									<out:variable name="useBackURL">
										<xsl:choose>
											<xsl:when test="@useBackURL and @useBackURL != ''"><out:value-of select="{@useBackURL}"/></xsl:when>
											<xsl:otherwise><xsl:value-of select="false()"/></xsl:otherwise>
										</xsl:choose>
									</out:variable>
									<out:choose>
										<out:when test="$useBackURL='false' and (/root/env/param[@name = 'ps_nav_stack']) and not(/root/env/param[@name = 'ps_nav_stack'] = '') ">
											<utml:a utml:op="stack-down" id="IDS_CLOSE">
												<img height="16" width="16" vspace="2" border="0" class="dialogClose" onmouseover="this.className = 'dialogCloseOver'" onmouseout="this.className = 'dialogClose'">
													<xsl:attribute name="src"><xsl:value-of select="'{$skin_images}'"/>close.gif</xsl:attribute>
													<out:attribute name="title"><xts:string id="IDS_CLOSE"/></out:attribute>
												</img>
											</utml:a>
										</out:when>
										<out:otherwise>
											<a id="IDS_CLOSE">
												<out:attribute name="href">
													<out:choose>
														<!-- Handle modal mode scenarios -->
														<out:when test="/root/env/param[@name='md.callBack']">
															<out:choose>
																<out:when test="string(/root/env/param[@name='md.callBackMode']) = 'external'">
																		<out:text/>javascript:window.external.ccModalCallBack('close', null)
																</out:when>															
																<out:otherwise>
																		<out:text/>javascript:window.opener &amp;&amp; window.opener.ccModalCallBack ? window.opener.ccModalCallBack('close', null) : parent.ccModalCallBack('close', null)
																</out:otherwise>
															</out:choose>															
														</out:when>													
														<out:otherwise><out:value-of select="/root/env/param[@name = 'backURL']"/></out:otherwise>
													</out:choose>
												</out:attribute>												
												<img height="16" width="16" vspace="2" border="0"  class="dialogClose" onmouseover="this.className = 'dialogCloseOver'" onmouseout="this.className = 'dialogClose'">
													<xsl:attribute name="src"><xsl:value-of select="'{$skin_images}'"/>close.gif</xsl:attribute>
													<out:attribute name="title"><xts:string id="IDS_CLOSE"/></out:attribute>
												</img>
											</a>
										</out:otherwise>
									</out:choose>
								</xsl:otherwise>
							</xsl:choose>
						</xsl:if>	
					</td>
				</tr>
			</table>
		</out:if>
		
		<out:choose>		
			<out:when test="$divAttr_h='true' and $useDIVS_h='true' ">
				<out:choose>
					<out:when test="$browser='moz'">
						<out:text disable-output-escaping="yes">&lt;div id="dw" class="dialogScrollPaneOther"&gt;</out:text>
					</out:when>
					<out:otherwise>
						<out:text disable-output-escaping="yes">&lt;table width="100%" height="80%" cellspacing="0" cellpadding="0"&gt;</out:text>
						<out:text disable-output-escaping="yes">&lt;tr&gt;&lt;td &gt;</out:text>
						<out:choose>
							<out:when test="$browser = 'safari' ">
								<out:text disable-output-escaping="yes">&lt;div id="dw" class="dialogScrollPaneSafari"&gt;</out:text>
							</out:when>
							<out:otherwise>
								<out:text disable-output-escaping="yes">&lt;div id="dw" class="dialogScrollPane"&gt;</out:text>
							</out:otherwise>
						</out:choose>
					</out:otherwise>
				</out:choose>
			</out:when>
			<out:otherwise>
				<table border="0" cellpadding="0" cellspacing="0">
					<tr>
						<td>
							<img height="10" width="1">
								<xsl:attribute name="src"><xsl:value-of select="'{$webcontent}'"/>/images/space.gif</xsl:attribute>
							</img>
						</td>
					</tr>
				</table>
			</out:otherwise>
		</out:choose>
		
		<xsl:if test="dp:description or dp:headerLinks">
			<table  border="0" width="100%" cellspacing="0" cellpadding="0" style="padding-left:5px;">
				<tr>
					<xsl:if test="dp:description ">
						<td class="dialogHeaderText" align="left">
							<xsl:if test="dp:description/@nowrap"><xsl:attribute name="nowrap">nowrap</xsl:attribute></xsl:if>
							<xsl:choose>
								<xsl:when test="dp:description/dp:descriptionText">
										<div style="width: 100%">
											<div style="left: 10px; float: left; width: 50%;"><xsl:copy-of select="dp:description/dp:descriptionText/child::node()"/></div>
											<div style="right: 0px;float: right; width: 40%;text-align: right;padding-right: 5px">
												<xsl:copy-of select="dp:description/dp:descriptionLink/child::node()"/>
											</div>
										</div> 
								</xsl:when>
								<xsl:otherwise><xsl:copy-of select="dp:description/child::node()"/></xsl:otherwise>
							</xsl:choose>
						</td>
					</xsl:if>
					
					<!-- ******** -->
					<!-- IF THE DESIGN CHANGES TO MOVE THE LINKS from the SCROLLABLE SECTION of the dialog TO the FIXED header bar SECTION -->
					<!--	REMOVE following section -->
						
					<xsl:if test="dp:headerLinks">
						<td width="10" valign="middle">
								<img width="10">
									<xsl:attribute name="src"><xsl:value-of select="'{$webcontent}'"/>/images/space.gif</xsl:attribute>
								</img>
						</td>
						<td align="right" valign="top">
							<table border="0" cellpadding="0" cellspacing="0">
								<tr>
									<xsl:apply-templates select="dp:headerLinks/child::node()" mode="links">
										<xsl:with-param name="va" select="'top'"/>
									</xsl:apply-templates>
								</tr>
							</table>
						</td>
					</xsl:if>
					<!-- REMOVE previous section -->
					<!-- IF THE DESIGN CHANGES TO MOVE THE LINKS from the SCROLLABLE SECTION of the dialog TO the FIXED header bar SECTION -->
					<!-- ******** -->
					
				</tr>
			</table>
		</xsl:if>
	</xsl:template>

	<xsl:template match="dp:headerLinkInactive" mode="links" priority="2">
		<xsl:param name="va" select="'middle'"/>
		<td valign="{$va}" nowrap="nowrap" class="dialogHeaderLink" align="right">
			<xsl:apply-templates select="./child::node()"/>
		</td>
	</xsl:template>

	<xsl:template match="dp:headerLink" mode="links" priority="2">
		<xsl:param name="va" select="'middle'"/>
		<td valign="{$va}" nowrap="nowrap" class="dialogSubHeaderAnchorContainer" align="right">
			<a>
				<xsl:apply-templates select="dp:hl_attribute" mode="links"/>
			</a>
		</td>
	</xsl:template>
	
	<xsl:template match="dp:hl_attribute" mode="links" priority="2">
		<xsl:variable name="att" select="@name"/>
		<xsl:choose>
			<xsl:when test="$att != 'label'">
				<out:attribute name="{$att}"><xsl:copy-of select="."/></out:attribute>
			</xsl:when>
			<xsl:otherwise>
				<xsl:copy-of select="child::node()"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	
	<!-- 
	dp:inactiveText - allows you to make any text inactive
	-->
	<xsl:template match="dp:inactiveText">
		<span class="inactiveText"><xsl:copy-of select="child::node()"/></span>
	</xsl:template>			
	
	<!-- 
	dp:inactiveHRef - allows you to make any href text inactive
	-->
	<xsl:template match="dp:inactiveHRef">
		<span class="inactiveHRef"><xsl:copy-of select="child::node()"/></span>
	</xsl:template>			
	
	<!-- 
	dp:input -2 sections first for the label - second for the input bax
	-->
	<xsl:template match="dp:input">
		<table border="0" cellspacing="0" cellpadding="1">
			<xsl:for-each select="*[self::dp:section1]">
				<tr>
					<td class="formLabel" nowrap="nowrap">
						<xsl:apply-templates select="child::node()"/>
					</td>
				</tr>
				<tr>
					<td class="formText">
						<xsl:apply-templates select="following-sibling::*[1]/child::node()"/>
					</td>
					<xsl:if test="count(following-sibling::*)>1">
						<xsl:apply-templates select="following-sibling::*[2]/child::node()"/>
					</xsl:if>
				</tr>
				<tr>
					<td nowrap="nowrap">
						<img height="5" width="1">
							<xsl:attribute name="src"><xsl:value-of select="'{$webcontent}'"/>/images/space.gif</xsl:attribute>
						</img>
					</td>
				</tr>				
			</xsl:for-each>		
		</table>
	</xsl:template>		
	
	<!-- 
	dp:label
	-->
	<xsl:template match="dp:label">
		<xsl:copy-of select="child::node()"/><xsl:if test="not(@nospace)">&#160;&#160;&#160;</xsl:if>
	</xsl:template>		
	
	<!-- 
	dp:link
	-->
	<xsl:template match="dp:link">
		<xsl:apply-templates/>				
	</xsl:template>			
	
	<!-- 
	dp:list
	 -1 section usually had text then a link to change the value
	-->
	<xsl:template match="dp:list">
		<table border="0" cellspacing="0">
			<xsl:attribute name="cellpadding">
				<xsl:choose>
					<xsl:when test="@padding"><xsl:value-of select="@padding"/></xsl:when>
					<xsl:otherwise>1</xsl:otherwise>
				</xsl:choose>
			</xsl:attribute>		
			<xsl:if test="@width">
				<xsl:attribute name="width"><xsl:value-of select="@width"/></xsl:attribute>				
			</xsl:if>	
			<xsl:if test="@valign">
				<xsl:attribute name="valign"><xsl:value-of select="@valign"/></xsl:attribute>				
			</xsl:if>	
			<xsl:if test="@align">
				<xsl:attribute name="align"><xsl:value-of select="@align"/></xsl:attribute>				
			</xsl:if>	
			<xsl:if test="@title">
				<tr>
					<td nowrap="nowrap" colspan="2" class="formLabel">
						<xts:string id="{@title}"/>
					</td>		
				</tr>		
			</xsl:if>			
			<xsl:apply-templates mode="list"/>	
		</table>
	</xsl:template>		
	
	<!-- 
	dp:message -2 sections first for the image - second for the message
	-->
	<xsl:template match="dp:message">
		<table border="0" cellspacing="0" cellpadding="1">
			<tr>
				<td nowrap="nowrap" valign="top">
					<xsl:copy-of select="dp:image/child::node()"/>
				</td>
				<td class="messageText">
					<xsl:copy-of select="dp:messageText/child::node()"/>
				</td>
			</tr>	
		</table>
	</xsl:template>			
	
	<!-- 
	dp:page - hold entire page from open body tag to close
	-->
	<xsl:template match="dp:page">
		<html>
			<head>
				<xsl:if test="dp:meta">
					<xsl:copy-of select="dp:meta/child::node()"/>
				</xsl:if>
				<!-- add caching prevention instructions as required -->
				<xsl:if test="@cache = 'false'">
					<meta http-equiv="expires" content="0"/>
				</xsl:if>
				<title>
					<xsl:if test="@title">
						<xts:string id="{@title}"/>
					</xsl:if>
					<xsl:if test="@longTitle">
						<out:value-of select="{@longTitle}"/>
					</xsl:if>
				</title>			
				<link rel="stylesheet" type="text/css">
					<out:attribute name="href">
						<xsl:choose>
							<!-- a morphlet can specify its own stylesheet.  @stylesheet must contain a full path to the desired stylesheet. -->
							<xsl:when test="@stylesheet">
								<out:value-of select="@stylesheet"/>
							</xsl:when>
							<xsl:otherwise>							
								<out:value-of select="$skin_style"/>
							</xsl:otherwise>
						</xsl:choose>								
					</out:attribute>
				</link>
				<link rel="stylesheet" type="text/css" href="{'{$skin_fonts}'}"/>
				<xsl:if test="dp:script">
					<xsl:copy-of select="dp:script/child::node()"/>	
				</xsl:if>
			</head>	
			<!-- temporary theme selector, this will go on all match thms to switch using a url parameter -->
			
			<!-- define a function to call other that init() if required -->
			<xsl:variable name="initFunction">
				<xsl:choose>
					<xsl:when test="@initFunction"><xsl:value-of select="@initFunction"/></xsl:when>
					<xsl:otherwise><xsl:text>init</xsl:text></xsl:otherwise>
				</xsl:choose>
			</xsl:variable>
			
			<body onload="if (window.{$initFunction}) {$initFunction}();" >
				<xsl:attribute name="topmargin">3</xsl:attribute>
				<xsl:attribute name="bottommargin">0</xsl:attribute>
				<xsl:attribute name="marginheight">3</xsl:attribute>
				<xsl:attribute name="rightmargin">3</xsl:attribute>
				<xsl:attribute name="leftmargin">3</xsl:attribute>
				<xsl:attribute name="marginwidth">3</xsl:attribute>
				<out:if test="$browser = 'ie'">
					<out:attribute name="style">overflow:auto</out:attribute>	
				</out:if>	
				<out:attribute name="class">
					<out:choose>
						<out:when test="/root/env/param[@name='md.callBack']">body_dialog_modal</out:when>			
						<out:otherwise>dialogBody</out:otherwise>
					</out:choose>
				</out:attribute>
				<!-- apply templates to whatever is in the page tag -->
				<xsl:apply-templates select="*[not(self::dp:meta) and not(self::dp:script)]"/>
			</body>
		</html>	
	</xsl:template>

	<!--
	dp:section - list sections are rows
	-->
	<xsl:template match="dp:section" mode="list" priority="2">		
		<tr>
			<xsl:for-each select="*">
				<td>
					<xsl:if test="@width">
						<xsl:attribute name="width"><xsl:value-of select="@width"/></xsl:attribute>				
					</xsl:if>
					<xsl:if test="@height">
						<xsl:attribute name="height"><xsl:value-of select="@height"/></xsl:attribute>				
					</xsl:if>	
					<xsl:if test="@align">
						<xsl:attribute name="align"><xsl:value-of select="@align"/></xsl:attribute>				
					</xsl:if>	
					<xsl:if test="@valign">
						<xsl:attribute name="valign"><xsl:value-of select="@valign"/></xsl:attribute>				
					</xsl:if>	
					<xsl:if test="@colspan">
						<xsl:attribute name="colspan"><xsl:value-of select="@colspan"/></xsl:attribute>				
					</xsl:if>
					<xsl:choose>
						<xsl:when test="@wrap"/>
						<xsl:otherwise>
							<xsl:attribute name="nowrap">nowrap</xsl:attribute>
						</xsl:otherwise>
					</xsl:choose>	
					<xsl:attribute name="class">
						<xsl:choose>
							<xsl:when test="@tdClass"><xsl:value-of select="@tdClass"/></xsl:when>
							<xsl:when test="self::dp:label">formLabel</xsl:when>
							<xsl:when test="self::dp:link">formLink</xsl:when>		
							<xsl:when test="self::dp:hint">dialogHintText</xsl:when>						
							<xsl:otherwise>formText</xsl:otherwise>
						</xsl:choose>	
					</xsl:attribute>	
					<xsl:apply-templates select="self::*"/>
				</td>
			</xsl:for-each>	
		</tr>	
	</xsl:template>			
	
	<!--
	dp:section1 - first and second part in a choice block
	-->
	<xsl:template match="dp:section1" mode="choice" priority="2">		
		<tr>
			<td>
				<xsl:choose>
					<xsl:when test="@wrap"/>
					<xsl:otherwise>
						<xsl:attribute name="nowrap">nowrap</xsl:attribute>
					</xsl:otherwise>
				</xsl:choose>	
				<xsl:if test="@valign">
					<xsl:attribute name="valign"><xsl:value-of select="@valign"/></xsl:attribute>				
				</xsl:if>	
				<xsl:attribute name="class">
					<xsl:choose>
						<xsl:when test="@tdClass"><xsl:value-of select="@tdClass"/></xsl:when>
						<xsl:when test="@type='label'">formLabel</xsl:when>		
						<xsl:when test="@type='hint'">dialogHintText</xsl:when>					
						<xsl:otherwise>formText</xsl:otherwise>
					</xsl:choose>	
				</xsl:attribute>			
				<xsl:apply-templates select="child::node()"/>
			</td>		
			<td>
				<xsl:choose>
					<xsl:when test="@wrap"/>
					<xsl:otherwise>
						<xsl:attribute name="nowrap">nowrap</xsl:attribute>
					</xsl:otherwise>
				</xsl:choose>	
				<xsl:if test="@valign">
					<xsl:attribute name="valign"><xsl:value-of select="@valign"/></xsl:attribute>				
				</xsl:if>	
				<xsl:attribute name="class">
					<xsl:choose>
						<xsl:when test="following-sibling::*[1]/@type='label'">formLabel</xsl:when>
						<xsl:when test="following-sibling::*[1]/@type='hint'">dialogHintText</xsl:when>					
						<xsl:otherwise>formText</xsl:otherwise>
					</xsl:choose>	
				</xsl:attribute>	
				<xsl:apply-templates select="following-sibling::*[1]/child::node()"/>
			</td>														
		</tr>
	</xsl:template>	
	
	<!--
	dp:section2 - take out the section2 of a choice
	-->
	<xsl:template match="dp:section2" mode="choice" priority="2"/>	
	
	<!--
	dp:section3 - third section in a choice
	-->
	<xsl:template match="dp:section3" mode="choice" priority="2">		
		<tr>
			<xsl:if test="not(@nospace)">
			<td nowrap="nowrap">
				<img height="1" width="5">
					<xsl:attribute name="src"><xsl:value-of select="'{$webcontent}'"/>/images/space.gif</xsl:attribute>
				</img>						
			</td>
			</xsl:if>
			<xsl:if test="(@nospace)"><td/></xsl:if>
			<td>
				<xsl:if test="@width">
					<xsl:attribute name="width"><xsl:value-of select="@width"/></xsl:attribute>
				</xsl:if>
				<xsl:attribute name="class">
					<xsl:choose>
						<xsl:when test="not(@tdClass)">formText</xsl:when>
						<xsl:otherwise><xsl:value-of select="@tdClass"/></xsl:otherwise>
					</xsl:choose>
				</xsl:attribute>
				<xsl:apply-templates select="child::*"/>
			</td>														
		</tr>
	</xsl:template>	
	
	<!--
	dp:script - take out the script, it was just for the header
	-->
	<xsl:template match="dp:script"/>	

	<!-- 
	dp:text
	-->
	<xsl:template match="dp:text">
		<xsl:copy-of select="child::node()"/><xsl:if test="not(@nospace)">&#160;&#160;&#160;</xsl:if>
	</xsl:template>
	
	<!-- 
	dp:hint
	-->
	<xsl:template match="dp:hint">
		<xsl:copy-of select="child::node()"/>
	</xsl:template>
	<!-- 
	dp:textarea
	 -3 sections first for the label - second for the textarea - this is the bottom link
	-->
	<xsl:template match="dp:textarea">
 		<xsl:variable name="section3_align">
 			<xsl:choose>
 				<xsl:when test="@section3_align">	
 					<xsl:value-of select="@section3_align"/>
 				</xsl:when>
 				<xsl:otherwise>
 					<xsl:value-of select="'right'"/>
 				</xsl:otherwise>
 			</xsl:choose>
 		</xsl:variable>
 		<xsl:variable name="wrap">
 			<xsl:choose>
				<xsl:when test="@wrap"><xsl:value-of select="'true'"/></xsl:when>
				<xsl:otherwise><xsl:value-of select="'false'"/></xsl:otherwise>
			</xsl:choose>
 		</xsl:variable>

		<table border="0" cellspacing="0" cellpadding="1">
 
			<!-- If a class attribute exists then use it otherwise check for a style-->		
 			<xsl:choose>
 				<xsl:when test="@class">	
		  			<xsl:attribute name="class">
		  				<xsl:value-of select="@class"/>
		  			</xsl:attribute>
 				</xsl:when>
 				<xsl:when test="@style">	
		  			<xsl:attribute name="style">
		  				<xsl:value-of select="@style"/>
		  			</xsl:attribute>
 				</xsl:when>
 			</xsl:choose>
			<xsl:for-each select="*[self::dp:section1]">
				<tr>
					<td nowrap="nowrap" class="formLabel">
						<xsl:apply-templates select="child::node()"/>
					</td>
				</tr>
				<tr>
					<td class="formText">
						<xsl:if test="$wrap='false'">
							<xsl:attribute name="nowrap">nowrap</xsl:attribute>
						</xsl:if>
						<xsl:apply-templates select="following-sibling::*[1]/child::node()"/>
					</td>
				</tr>
				<tr>
					<td class="formLink" nowrap="nowrap">
 						<xsl:attribute name="align">
 							<xsl:value-of select="$section3_align"/>
 						</xsl:attribute>
						<xsl:apply-templates select="following-sibling::*[2]/child::node()"/>
					</td>
				</tr>				
			</xsl:for-each>		
		</table>
	</xsl:template>			

  	<!-- create a template for making the links at the bottom of the text area -->
  	<xsl:template match="dp:actions">
  		<xsl:choose>
  			<xsl:when test="count(dp:action) = 1">
  				<img height="1" width="1">
  					<xsl:attribute name="src"><xsl:value-of select="'{$webcontent}'"/>/images/space.gif</xsl:attribute>
  				</img>
  				<xsl:apply-templates select="dp:action/*"/>
  				<img height="1" width="1">
  					<xsl:attribute name="src"><xsl:value-of select="'{$webcontent}'"/>/images/space.gif</xsl:attribute>
  				</img>
  			</xsl:when>
  			<xsl:otherwise>
 				<img height="1" width="1">
  					<xsl:attribute name="src"><xsl:value-of select="'{$webcontent}'"/>/images/space.gif</xsl:attribute>
  				</img>
  				<xsl:for-each select="dp:action">
  					<xsl:if test="position()!=1">
  						<img height="1" width="10">
  							<out:attribute name="src"><out:value-of select="$webcontent"/>/images/space.gif</out:attribute>
  						</img>
  					</xsl:if>
  					<xsl:apply-templates/>
  				</xsl:for-each>
  				<img height="1" width="1">
  					<xsl:attribute name="src"><xsl:value-of select="'{$webcontent}'"/>/images/space.gif</xsl:attribute>
  				</img>
  			</xsl:otherwise>
  		</xsl:choose>
  	</xsl:template>

	<!-- 
	* - This next template is required to copy all other elements into the result. 
	-->
	<xsl:template match="*" mode="links" priority="1">
		<xsl:param name="va" select="'middle'"/>
		<xsl:copy>
			<xsl:copy-of select="@*"/>
			<xsl:apply-templates mode="links">
				<xsl:with-param name="va" select="$va"/>
			</xsl:apply-templates>
		</xsl:copy>
	</xsl:template>	
	<!-- 
	* - This next template is required to copy all other elements into the result. 
	-->
	<xsl:template match="*" mode="choice" priority="1">
		<xsl:copy>
			<xsl:copy-of select="@*"/>
			<xsl:apply-templates mode="choice"/>
		</xsl:copy>
	</xsl:template>	
	
	<!-- 
	* - This next template is required to copy all other elements into the result. 
	-->
	<xsl:template match="*" mode="list" priority="1">
		<xsl:copy>
			<xsl:copy-of select="@*"/>
			<xsl:apply-templates mode="list"/>
		</xsl:copy>
	</xsl:template>			

	<!-- 
	* - This next template is required to copy all other elements into the result. 
	-->
	<xsl:template match="*">
		<xsl:copy>
			<xsl:copy-of select="@*"/>
			<xsl:apply-templates/>
		</xsl:copy>
	</xsl:template>
</xsl:stylesheet>